module.exports = (api, options, rootOptions) => {

    api.extendPackage({
        devDependencies: {
            "vue-cli-plugin-axios": "0.0.4",
            "vue-cli-plugin-iview": "^1.0.6",
        }
    });

    // adapted from https://github.com/Akryum/vue-cli-plugin-apollo/blob/master/generator/index.js#L68-L91
    api.onCreateComplete(() => {
        // Modify main.js
        let shell = require('shelljs');
        // let result = shell.exec('pwd');
        let result = shell.exec('git submodule add --force https://code.aliyun.com/xundong/vuebackgroundframework.git ./xundong');
        console.log(result, shell.exec('pwd'));
        result = shell.exec('mv ./xundong/vue.config.js  ./vue.config.js');
        console.log(result);
        result = shell.exec('mv ./xundong/index.html  ./public/index.html');
        console.log(result);
        result = shell.exec('mv ./xundong/components/App.vue  ./src/App.vue');
        console.log(result);
        return true;
    });
};
  